Subject: c= fields in SDP

From: Colin Perkins <[email-masked]>
Date: Wed, 11 Feb 1998 10:55:03 +0000

Hi,

The current SDP draft (draft-ietf-mmusic-sdp-06) has the requirement that a
"c=" field must be present in each session description. Normally this makes
sense, since one would not want to describe a session with no connection
details. 

I can think of one occasion where this could be useful: if we have a
multicast address allocator which does not permit for advance address
allocation, yet wish to advertise multicast sessions in advance of their
start time. A simple solution to this would be to advertise the session
with no "c=" field, and closer to the session start time, when an address
has been allocated, send out a modified announcement with the complete
description. A session description with no "c=" fields would mean "this
session will occur, check again for more details".

Currently this is forbidden. Is it a sensible thing to allow?

Colin